---
title: border-image
slug: Web/CSS/border-image
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-shorthand-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-image</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property draws an image around a given element. It replaces the element's regular <a href="/en-US/docs/Web/CSS/border">border</a>.</p>

<div>{{EmbedInteractiveExample("pages/css/border-image.html")}}</div>

<div class="note">
<p><strong>Note:</strong> You should specify a separate {{cssxref("border-style")}} in case the border image fails to load. Indeed, this is required according to the specification, although not all browsers implement this requirement.</p>
</div>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
 <li><a href="/en-US/docs/Web/CSS/border-image-outset"><code>border-image-outset</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/border-image-repeat"><code>border-image-repeat</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/border-image-slice"><code>border-image-slice</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/border-image-source"><code>border-image-source</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/border-image-width"><code>border-image-width</code></a></li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* source | slice */
border-image: linear-gradient(red, blue) 27;

/* source | slice | repeat */
border-image: url("/images/border.png") 27 space;

/* source | slice | width */
border-image: linear-gradient(red, blue) 27 / 35px;

/* source | slice | width | outset | repeat */
border-image: url("/images/border.png") 27 23 / 50px 30px / 1rem round space;
</pre>

<p>The <code>border-image</code> property may be specified with anywhere from one to five of the values listed below.</p>

<div class="note">
<p><strong>Note:</strong> If the <a href="/en-US/docs/Web/CSS/computed_value">computed value</a> of {{cssxref("border-image-source")}} is <code>none</code>, or if the image cannot be displayed, the {{cssxref("border-style")}} will be displayed instead.</p>
</div>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;'border-image-source'&gt;</code></dt>
 <dd>The source image. See {{cssxref("border-image-source")}}.</dd>
 <dt><code>&lt;'border-image-slice'&gt;</code></dt>
 <dd>The dimensions for slicing the source image into regions. Up to four values may be specified. See {{cssxref("border-image-slice")}}.</dd>
 <dt><code>&lt;'border-image-width'&gt;</code></dt>
 <dd>The width of the border image. Up to four values may be specified. See {{cssxref("border-image-width")}}.</dd>
 <dt><code>&lt;'border-image-outset'&gt;</code></dt>
 <dd>The distance of the border image from the element's outside edge. Up to four values may be specified. See {{cssxref("border-image-outset")}}.</dd>
 <dt><code>&lt;'border-image-repeat'&gt;</code></dt>
 <dd>Defines how the edge regions of the source image are adjusted to fit the dimensions of the border image. Up to two values may be specified. See {{cssxref("border-image-repeat")}}.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Assistive technology cannot parse border images. If the image contains information critical to understanding the page's overall purpose, it is better to describe it semantically in the document.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.1_%E2%80%94_Providing_text_alternatives_for_non-text_content">MDN Understanding WCAG, Guideline 1.1 explanations</a></li>
 <li><a href="https://www.w3.org/TR/2016/NOTE-UNDERSTANDING-WCAG20-20161007/text-equiv-all.html" rel="noopener">Understanding Success Criterion 1.1.1  | Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Bitmap">Bitmap</h3>

<p>In this example, we will apply a diamond pattern to an element's borders. The source for the border image is a ".png" file of 81 by 81 pixels, with three diamonds going vertically and horizontally:</p>

<p><img alt="an example borderimage" src="https://mdn.mozillademos.org/files/4127/border.png" style="height: 81px; width: 81px;"></p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="bitmap"&gt;This element is surrounded by a bitmap-based border image!&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<p>To match the size of a single diamond, we will use a value of 81 divided by 3, or <code>27</code>, for slicing the image into corner and edge regions. To center the border image on the edge of the element's background, we will make the outset values equal to half of the width values. Finally, a repeat value of <code>round</code> will make the border slices fit evenly, i.e., without clipping or gaps.</p>

<pre class="brush:css notranslate">#bitmap {
  width: 200px;
  background-color: #ffa;
  border: 36px solid orange;
  margin: 30px;
  padding: 10px;

  border-image:
      url("https://mdn.mozillademos.org/files/4127/border.png")  /* source */
      27 /                    /* slice */
      36px 28px 18px 8px /    /* width */
      18px 14px 9px 4px       /* outset */
      round;                  /* repeat */
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Bitmap', '100%', 200)}}</p>

<h3 id="Gradient">Gradient</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="gradient"&gt;This element is surrounded by a gradient-based border image!&lt;/div&gt;
</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush:css notranslate">#gradient {
  width: 200px;
  border: 30px solid;
  border-image: repeating-linear-gradient(45deg, #f33, #3bf, #f33 30px) 60;
  padding: 20px;
}
</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample('Gradient')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-border-image', 'border-image')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<p>{{cssinfo}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-image")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("border")}}</li>
 <li>{{cssxref("outline")}}</li>
 <li>{{cssxref("box-shadow")}}</li>
 <li>{{cssxref("background-image")}}</li>
 <li>{{cssxref("url()", "url()")}} function</li>
 <li>Gradient functions: {{CSSxRef("conic-gradient")}}, {{CSSxRef("linear-gradient")}}, {{CSSxRef("repeating-linear-gradient")}}, {{CSSxRef("radial-gradient")}}, {{CSSxRef("repeating-radial-gradient")}}</li>
</ul>
